﻿#language: ru

@quality_control

Функционал: 03_quality_control. Запуск обработки Комплектация через весы

Сценарий: 03_quality_control. Подготовка к запуску обработки Комплектация через весы (Производственное задание)
	Дано Я переключаюсь на открытый клиент "qual_Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Производственные задания'
	Тогда открылось окно 'Производственные задания'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Производственное задание (создание)'
	И я запоминаю значение поля "от" как "ДатаДокумента"
	И в поле 'Дата смены' ввожу значение переменной "ДатаДокумента"
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		|'Наименование'|
		|'Маркировка'|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Производственное задание (создание) *'
	И я перехожу к закладке "Задание"
	И в таблице "Товары" я добавляю новую строку
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'Российский 50%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Производственное задание (создание) *'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Характеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Созревший'    |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Производственное задание (создание) *'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Номер' |
		| '2'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Производственное задание (создание) *'
	И в таблице "Товары" я перехожу к строке:
		|'N'|
		|'1'|
	И в таблице "Товары" я удаляю строку
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Производственное задание (создание) *' в течение 20 секунд
	Тогда открылось окно 'Производственные задания'
	И Я закрываю окно 'Производственные задания'

Сценарий: 03_quality_control. Запуск обработки Комплектация через весы
	Дано Я подключаюсь под "qual_Бригада на комплектации"
	И в поле 'Дата' я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно 'Смены'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смена24'      |
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Маркировка'      |
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю на кнопку "Выпуск в коробах"
	Тогда открылось окно "Выпуск в коробах*"
	И в таблице "ТоварыДляКомплектации" я перехожу к строке:
		| 'Ед. изм.' |  'Номенклатура'       |
		| 'кг'       |  'Российский 50% / Созревший / 01.11.2018/2' |
	И Пауза 1
	И я нажимаю на кнопку с именем "КомандаПриступить"
	И я нажимаю кнопку выбора у поля "Короб"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Короб'        |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно "Выпуск в коробах*"
	И я нажимаю кнопку выбора у поля "ВыбраннаяУпаковка"
	Тогда открылось окно 'Выберите упаковку'
	И в таблице "Список" я перехожу к строке:
		| 'Упаковка'    |
		| 'упак (7 кг)' |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно "Выпуск в коробах*"
	И я меняю значение переключателя 'ВидОперации' на 'Брак'
	И в поле с именем 'ВесВесовБрак' я ввожу текст '2,000'
	И я перехожу к следующему реквизиту
	И в таблице "Брак" я нажимаю кнопку выбора у реквизита "Причина"
	Тогда открылось окно 'Причины брака'
	И я нажимаю на кнопку с именем "Выбрать"
	Тогда открылось окно "Выпуск в коробах*"
	И в таблице "Брак" я завершаю редактирование строки
	И я нажимаю на кнопку 'КомандаСохранитьБрак'
	И я закрываю окно "Выпуск в коробах*"

Сценарий: 03_quality_control.02.015 Закрытие клиента
	И я закрываю сеанс TESTCLIENT